%define _enable_debug_packages %{nil}
%define debug_package %{nil}

%define	family	drakx-installer
Summary:	Rescue image
Name:		%{family}-rescue
Version:	1.24
Release:	1
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Development/Other
Url:		http://wiki.mandriva.com/Tools/DrakX
BuildRequires:	perl-XML-Parser squashfs-tools mknod-m600
BuildRequires:	ldetect-lst-devel
BuildRequires:	hexedit grub rsync openssh-clients ncftp kbd strace
BuildRequires:	gpart parted partimage e2fsprogs
BuildRequires:	dump xfsdump eject testdisk extipl
BuildRequires:	xfsprogs reiserfsprogs jfsutils ntfsprogs dosfstools btrfs-progs
BuildRequires:	mdadm lvm2 dmraid kpartx dmraid-events dmsetup
BuildRequires:	setserial tcpdump
BuildRequires:	mt-st
Buildrequires:	krb5-appl-clients
Buildrequires:	db52-utils
BuildRequires:	pciutils ldetect
BuildRequires:	packdrake rpmtools
BuildRequires:	vim-minimal
BuildRequires:	drakx-installer-binaries drakxtools-backend drakx-kbd-mouse-x11
BuildRequires:	bind-utils nfs-utils-clients wget
BuildRequires:	ka-deploy-source-node
BuildRequires:	cdialog
BuildRequires:	ldetect-lst >= 0.1.222
BuildRequires:	ntfs-3g
BuildRequires:	cryptsetup photorec quota
BuildRequires:	pv
Buildrequires:	fakeroot 
BuildRequires:	dropbear screen gdisk
BuildRequires:	nilfs-utils

%description
rescue image

%prep
%setup -q

%build
%make -C rescue

%install
%makeinstall_std -C rescue

%files
%dir %{_libdir}/%{family}
%dir %{_libdir}/%{family}/root
%dir %{_libdir}/%{family}/root/install
%dir %{_libdir}/%{family}/root/install/stage2/
%{_libdir}/%{family}/root/install/stage2/rescue.sqfs


%changelog
* Fri Jun 08 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.24-1
+ Revision: 803307
- new version:
  	o add DESTDIR install support
  	o revert to "linux" terminfo

* Fri May 25 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.23-1
+ Revision: 800598
- disable debug package
- Version 1.23:
  	o include missing modules when SMB appears in fstab (mga#5850)
  	o fix detecting RAID (mga#5048)
  	o fix modprobe to support being called by kernel (mga#5274)
  	o default to "screen" instead of "linux" terminfo (mga#4894)
  	o include "screen" terminfo (mga#4894)
  	o 32bit grub needs 32 bit loader (mga#5191)
  	o add chrooted rescue system in PATH
  	o escape / in generated passwords in startssh
  	o add trailing ; in command lists in startssh
  	o do not symlink /dev (mga#1023)
  	o really fix mounting /dev/pts & /dev/shm (mga#1023)
  	o fix mounting /dev/pts & /dev/shm (mga#1023)
  	o enable autologin on all consoles
  	o include mkfs.nilfs2 & nilfs-tune
  	o include more udev rules for RAID (mga#5048)
  	o switch to udev
  	o mount /proc in chroot
  	o drop support for squashfs3
  	o only consider fstab from the selected fs
  	o prefer Mandriva root partitions
  	o enable rescue through serial line (mga#2052)
  	o fix mounting / (mga#3327)
  	o fix mounting / on LV
  	o fix mounting / on soft RAID or crypted LV (mga#3778 & mga#448)
  	o include xz for xz modules
  	o add screen
  	o add dropbear
  	o add genpasswd and startssh
  	o add /etc/shells
  	o fix build with perl-5.14
  	o add missing libfuse.so.2 for mount.ntfs-3g (#1189)
  	o include /etc/netconfig (needed by mount.nfs)
- specify version of license
- cleanups
- adjust buildrequires

* Tue Apr 19 2011 Antoine Ginies <aginies@mandriva.com> 1.22-2
+ Revision: 655934
- remove XSLoader
- revert buildrequires on perl-XSLoader (package in contrib)
- add missing buildrequires perl-XSLoader
- remove rsh requires (conflict with krb-appl-clients)
- restore to latest release (svn loss..)
- add dmeventd, use now ide-gd_mod module, add partprobe tools

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thomas Backlund <tmb@mandriva.org>
    - replace krb5-appl-clients with ncftp, rsh, netkit-telnet
    - jfsprogs is obosoleted by jfsutils
    - add btrfs-progs to rescue image

* Wed Jun 16 2010 Thomas Backlund <tmb@mandriva.org> 1.21-2mdv2010.1
+ Revision: 548177
- rebuild for updated e2fsprogs and xfsprogs

* Wed May 19 2010 Antoine Ginies <aginies@mandriva.com> 1.21-1mdv2010.1
+ Revision: 545362
- add missing dmeventd

* Wed May 19 2010 Antoine Ginies <aginies@mandriva.com> 1.20-1mdv2010.1
+ Revision: 545350
- add some missing tools (#59357)

* Fri May 07 2010 Antoine Ginies <aginies@mandriva.com> 1.19-1mdv2010.1
+ Revision: 543175
- remove telnet buildrequires (provided by krb5-appl-clients)
- ftp-client-krb5 doesnt exist anymore, now it's krb5-appl-clients
- 1.19
- add udev_creation.sh needed script to recreate all udev devices in client node in ka replication process
- rebuild to take into account new ka-deploy-source-host (lot of fixes)

* Tue Apr 13 2010 Olivier Blin <blino@mandriva.org> 1.18-1mdv2010.1
+ Revision: 534196
- 1.18
- image restore script: use blkid instead of deprecated vol_id

* Mon Apr 12 2010 Olivier Blin <blino@mandriva.org> 1.17-1mdv2010.1
+ Revision: 533674
- 1.17
- Handle LVM (#44723)
- image restore script: handle hybrid images (by matching main device)

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.16-2mdv2010.1
+ Revision: 522538
- rebuilt for 2010.1

* Fri Oct 09 2009 Olivier Blin <blino@mandriva.org> 1.16-1mdv2010.0
+ Revision: 456438
- 1.16
- work both with squashfs 3 and 4
- image restore script (from Paulo Ricardo Zanoni):
  o re-read partition table after writing image
  o do not extend / to the end of the disk, it overlaps with swap
    partition
- do not make de-latin1 keymap a symlink loop (#45109)
- use extipl from /usr/lib/extipl on x86_64 too
  (to fix restore_ms_boot, hardcoding this path)

* Fri Sep 11 2009 Pascal Terjan <pterjan@mandriva.org> 1.15-2mdv2010.0
+ Revision: 438300
- Use native squashfs format, not squashfs3 else stage1 won't load rescue

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 1.15-1mdv2010.0
+ Revision: 428383
- add back dumpe2fs
- run /oem-rescue.sh if oem option is present on cmdline
- allow to specify main partition in the restore config file
  (MAIN_PART_NUMBER), if there is a restore partition at beginning of
  disk
- load ext4 module (#48816)
- use blkid instead of vol_id which we no longer ship

  + Christophe Fergeau <cfergeau@mandriva.com>
    - depends on squashfs3-tools instead of squashfs-tools
    - Add missing BuildRequires

* Wed May 27 2009 Olivier Blin <blino@mandriva.org> 1.14-1mdv2010.0
+ Revision: 380198
- 1.14
- adapt to new extipl location in x86_64
- adapt to new magic.mgc location
- buildrequire cryptsetup, photorec and quota
- 1.13
- include various commands
- image restore script:
  o better estimate of image dump progression
  o fix detecting multiple partitions to avoid win32 detection
  o fix guessing extension when filename contains a dot

* Fri Feb 20 2009 Olivier Blin <blino@mandriva.org> 1.12-1mdv2009.1
+ Revision: 343265
- buildrequire ntfs-3g (for mount.ntfs-3g)
- 1.12
- image restore script:
  o add swap partition
  o use a minimum size for disks to be detected (Caio)
  o resize Windows partitions if needed (Caio)
- Flash rescue:
  o add support for Flash 2009
  o try to load squashfs-lzma too
  o handle path to lzma distrib loopbacks
- fix build:
  o do not include dead parsehdlist
  o do not include dead rpm helpers

* Thu Sep 25 2008 Olivier Blin <blino@mandriva.org> 1.11-1mdv2009.0
+ Revision: 288249
- buildrequire cdialog (for dialog)
- 1.11
- add image restoration scripts ("restore" command line parameter)

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.10-2mdv2009.0
+ Revision: 264421
- rebuild early 2009.0 package (before pixel changes)

  + Olivier Blin <blino@mandriva.org>
    - 1.10
    - fix "Mounting other partitions from fstab" which use UUID=xxx
    - fix build with latest file package, which only includes the
      precompiled magic file
    - rebuild with latest ldetect-lst (to use libata pata drivers by default)
    - remove useless ldetect-lst require

* Mon Mar 10 2008 Olivier Blin <blino@mandriva.org> 1.9-1mdv2008.1
+ Revision: 183602
- 1.9
- add missing modalias files (#38690)
- handle ntfs-3g in fstab (pixel)

* Fri Feb 29 2008 Olivier Blin <blino@mandriva.org> 1.8-1mdv2008.1
+ Revision: 176573
- buildrequire packdrake
- buildrequire bind-utils (for host), wget and rpmtools (for parsehdlist)
- 1.8
- support new modules location (#38207)
- adapt to perl 5.10
- fix build (fix a workaround in partimage_whole_disk)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - add ka-deploy-source-node buildrequires (needed by ka method)

* Tue Sep 25 2007 Thierry Vignaud <tv@mandriva.org> 1.7-1mdv2008.0
+ Revision: 92804
- BuildRequires nfs-utils-clients for mount.nfs

  + Pixel <pixel@mandriva.com>
    - 1.7: add mount.nfs binary (since mount doesn't handle nfs fs anymore)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 1.6-2mdv2008.0
+ Revision: 78547
- rebuild to have correct keymaps (#33086)

* Wed Aug 08 2007 Pixel <pixel@mandriva.com> 1.6-1mdv2008.0
+ Revision: 60394
- new release, 1.6
- adapt to new libldetect together with drakx-installer-images 1.13
- loadkeys file:
  o handle new "kbd" rpm which have .map files instead of .kmap
  o don't skip fr_CH-latin1
  o handle "fr_CH"-like short names
- remove rescuept (use testdisk instead, which is much nicer)

* Mon Jul 09 2007 Pixel <pixel@mandriva.com> 1.5-1mdv2008.0
+ Revision: 50524
- rebuild
- new release, 1.5
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- add "mkfs.ext3" which is no more equivalent to "mkfs.ext2 -J"
  (eg: dir_index & resize_inode features)


* Thu Apr 05 2007 Pixel <pixel@mandriva.com> 1.4-1mdv2007.1
+ Revision: 150724
- new release, 1.4
- zcat and gunzip can't be symlinks anymore, they are scripts

* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 1.3-5mdv2007.1
+ Revision: 150643
- drakx-kbd-mouse-x11 is no more required by drakxtools-backend, adding explicit BuildRequires
- we can't expect mandriva-release nor mandriva-release to be installed at the moment, removing the check
- mandriva-release is no more, mandriva-release-common is the one to check
- don't depend on mandriva-release %%version-%%release, only on %%version
- rebuild with fixed gzip

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 1.3-2mdv2007.1
+ Revision: 144714
- rebuild

* Thu Feb 08 2007 Pixel <pixel@mandriva.com> 1.3-1mdv2007.1
+ Revision: 118151
- rebuild with valid rights on rescue.sqfs

* Mon Jan 29 2007 Pixel <pixel@mandriva.com> 1.2-1mdv2007.1
+ Revision: 115113
- drakx-installer-binaries are in lib64 on amd64
- mknod-m600 is needed for build
- add needed buildrequires
- initial release
- Create drakx-installer-rescue

